# $Revision: 1.34 $, $Date: 2008/07/02 21:09:54 $
Summary:	Patchutils is a small collection of programs that operate on patch files
Summary(pl.UTF-8):	Kolekcja małych programów operujących na plikach patch
Summary(pt_BR.UTF-8):	Utilitário para Patches
Summary(ru.UTF-8):	Набор инструментов для работы с patch-файлами
Summary(uk.UTF-8):	Набір інструментів для роботи з patch-файлами
Name:		patchutils
Version:	0.3.0
Release:	1
License:	GPL
Group:		Applications/Text
Source0:	http://cyberelk.net/tim/data/patchutils/stable/%{name}-%{version}.tar.bz2
# Source0-md5:	91cce007527cd0df93aeb81459575485
Patch1:		%{name}-fixcvsdiff.patch
URL:		http://cyberelk.net/tim/patchutils/
BuildRequires:	perl-base
Requires:	diffutils
Requires:	patch
Provides:	interdiff
Obsoletes:	interdiff
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Interdiff generates an incremental patch from two patches against a
common source. For example, if you have applied a pre-patch to a
source tree, and wish to apply another pre-patch (which is against the
same original source tree), you can use interdiff to generate the
patch that you need to apply. You can also use this to review changes
between two pre-patches.

Combinediff generates a single patch from two incremental patches,
allowing you to merge patches together. The resulting patch file only
alters each file once.

Filterdiff will select the portions of a patch file that apply to
files matching (or, alternatively, not matching) a shell wildcard.

Fixcvsdiff is for correcting the output of 'cvs diff'.

Rediff corrects hand-edited patches, by comparing the original patch
with the modified one and adjusting the offsets and counts.

Lsdiff displays a short listing of affected files in a patch file,
along with (optionally) the line numbers of the start of each patch.

Splitdiff separates out patches from a patch file so that each new
patch file only alters any given file once. In this way, a file
containing several incremental patches can be split into individual
incremental patches.

Grepdiff displays a list of the files modified by a patch where the
patch contains a given regular expression.

%description -l pl.UTF-8
Interdiff generuje przyrostowe patche z dwóch patchy stworzonych w
stosunku do jednego źródła.

Combinediff generuje pojedynczy patch z dwóch przyrostowych patchy
pozwalając na ich łączenie. Wygenerowany patch modyfikuje pliki
jedynie jednokrotnie.

Filterdiff wybierze fragmenty patcha modyfikujące pliki pasujące (lub
nie pasujące) do wzorca shella.

Fixcvsdiff służy do poprawiania plików wygenerowanych przez `cvs
diff'.

Rediff poprawia ręcznie modyfikowane patche poprzez porównanie
oryginalnego patcha ze zmodyfikowanym i poprawianie przesunięć i
zliczeń.

Lsdiff wyświetla krótką listę plików, które patch modyfikuje wraz z
(opcjonalnie) numerami linii każdej zmiany.

Splitdiff dzieli patch na więcej patchy tak, że poszczególne patche
modyfikują jedynie określony plik jednokrotnie. W ten sposób plik
zawierający kilka przyrostowych zmian może być zamieniony w kilka
przyrostowych łat.

Grepdiff wyświetla listę plików modyfikowanych przez patch gdzie patch
zawiera określone wyrażenie regularne.

%description -l pt_BR.UTF-8
Interdiff gera um patch incrementado de dois patches de uma fonte
comum. Por exemplo, se você aplicou um pre-patch (na mesma árvore
original), você pode usar o interdiff para gerar o patch que você
deseja aplicar. Você também pode usá-lo para rever as mudanças entre
dois pre-patches.

Combinediff gera um único patch a partir de dois patches
incrementados, permitindo consolidar os patches em um. O patch
resultante altera uma vez apenas cada arquivo.

Filterdiff selecionará as partes dos patches que se aplicam a arquivos
que batem com uma string do shell (ou não, se desejado).

Fixcvsdiff serve para corrigir a saída do 'cvsdiff'.

Rediff corrige patches escritos manualmente, comparando o patch
original com o modificado e ajustando os contadores e os balanços.

Lsdiff mostra uma pequena lista dos arquivos afetados em um patch,
junto com (opcionalmente) o número de linhas do início de cada patch.

Splitdiff separa patches de um arquivo de patch assim cada novo patch
altera um arquivo por vez. Desta forma, um arquivo contendo várias
adições pode ser dividido em patches individuais.

Grepdiff mostra uma lista de arquivos modificados por um patch no qual
o patch contém a expressão regular dada.

%description -l ru.UTF-8
Patchutils содержит следующие утилиты: interdiff, combinediff,
filterdiff, fixcvsdiff, rediff, lsdiff та splitdiff. При помощи
interdiff можно создавать инкрементальный patch между двумя
patch-файлами, относящимися к одному и тому же дереву исходных
текстов. combinediff создает кумулятивный файл расхождений из двух
инкрементальных patch-файлов. filterdiff - для удаления из набора
patch-файлов ненужных patch'ей на основе шаблонов имен модифицируемых
файлов. lsdiff дает список файлов, изменяемых при применении
patch-файла. rediff корректирует patch-файлы, которые редактировались
вручную.

%description -l uk.UTF-8
Patchutils містить наступні утиліти: interdiff, combinediff,
filterdiff, fixcvsdiff, rediff, lsdiff та splitdiff. За допомогою
interdiff можна створювати інкрементальний patch між двома
patch-файлами, що відносяться до одного й того ж дерева вихідних
текстів. combinediff створює кумулятивний файл розбіжностей з двох
інкрементальних patch-файлів. filterdiff - для видалення з набору
patch-файлів непотрібних patch'ів на основі шаблонів імен файлів, що
модифікуються. lsdiff дає перелік файлів, що змінюються при
"прикладанні" patch-файлу. rediff коректує patch-файли, які
редагувались вручну.

%prep
%setup -q
%patch1 -p0

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man?/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: patchutils.spec,v $
Revision 1.34  2008/07/02 21:09:54  areq
- 0.3.0

Revision 1.33  2007/03/27 14:31:26  glen
- 0.2.31
- no auto generation because it would fail on th
- rpm-build deps dropped by adapter

Revision 1.32  2007/02/13 07:16:52  glen
- tabs in preamble

Revision 1.31  2007/02/12 00:49:18  baggins
- converted to UTF-8

Revision 1.30  2006/12/24 01:47:15  qboosh
- gpm-friendly Source0 URL, cleanup

Revision 1.29  2005/08/22 12:15:03  adamg
- reverted last commit

Revision 1.27  2004/10/29 22:55:04  qboosh
- pl fixes

Revision 1.26  2004/10/24 12:21:07  paladine
- spelling fix

Revision 1.25  2004/07/23 13:05:43  grzegol
- updated to 0.2.30

Revision 1.24  2004/04/05 20:29:20  adamg
- updated to 0.2.29

Revision 1.23  2004/03/11 12:13:27  grzegol
- updated to 0.2.28

Revision 1.22  2004/02/26 18:08:10  adamg
- updated to 0.2.27

Revision 1.21  2004/02/15 16:44:33  grzegol
- updated to 0.2.26

Revision 1.20  2003/12/16 14:03:02  grzegol
- updated to final 0.2.25

Revision 1.19  2003/08/03 19:15:38  grzegol
- updated to 0.2.25pre3
- more docs

Revision 1.18  2003/07/25 18:42:22  adamg
- updated to 0.2.24

Revision 1.17  2003/06/05 10:11:16  misi3k
- updated to 0.2.23

Revision 1.16  2003/05/28 13:00:14  malekith
- massive attack: source-md5

Revision 1.15  2003/05/25 06:24:32  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2003/03/09 00:35:54  kloczek
- upadted to 0.2.22 and merge translations from Conectiva.

Revision 1.13  2003/02/23 19:31:01  grzegol
- updated to 0.2.21

Revision 1.12  2003/02/20 22:23:45  grzegol
- updated to 0.2.20
- added %{__aclocal} and %{__autoconf}

Revision 1.11  2002/12/17 10:33:48  areq
- 0.2.18, STBR

Revision 1.10  2002/09/15 12:01:25  kloczek
- (auto)updated to 0.2.17: added support for conversion between unified and context formats.

Revision 1.9  2002/08/16 08:57:29  blues
- 0.2.16 - STBR

Revision 1.8  2002/07/10 13:26:23  blues
- 0.2.15 (new tools for fixing broken diffs)
  STBR

Revision 1.7  2002/07/10 13:22:25  blues
- new doc

Revision 1.6  2002/05/18 20:57:31  klark
- update to 0.2.14, STBR

Revision 1.5  2002/05/11 18:44:30  kloczek
- merge translations from KSI.

Revision 1.4  2002/05/11 18:24:33  pioklo
- up to 0.2.13,STBR

Revision 1.3  2002/04/19 22:54:33  kloczek
- bump to release3,
- merge context patch from rawhde (fix handling of context diffs so that
  it handles GNU diff's output style),
- regenerate ac/am files,
- added Provides/Obsolees for interdiff.

Revision 1.2  2002/04/19 19:42:49  agaran
- added feature because of arekm's request

Revision 1.1  2002/04/19 19:05:58  misiek
- initial pld release
